extern vec2 redoffset = vec2(4.0, 0.0);
extern vec2 greenoffset = vec2(0.0, 0.0);
extern vec2 blueoffset = vec2(-4.0, 0.0);

extern vec2 size = vec2(800.0, 600.0);

vec4 effect(vec4 vcolor, Image texture, vec2 texture_coords, vec2 pixel_coords)
{
	vec4 texcolor = Texel(texture, texture_coords);
	
	vec2 redvec = texture_coords + redoffset/size;
	vec2 greenvec = texture_coords + greenoffset/size;
	vec2 bluevec = texture_coords + blueoffset/size;
	
	vec4 red = Texel(texture, redvec);
	vec4 green = Texel(texture, greenvec);
	vec4 blue = Texel(texture, bluevec);
	
	return vcolor * vec4(red.r, green.g, blue.b, texcolor.a);
}


